package com.github.fengyuchenglun.apidoc.core.schema;

import com.github.javaparser.ast.body.ClassOrInterfaceDeclaration;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.util.*;


/**
 * 项目
 *
 * @author fengyuchenglun
 * @version 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Project extends Node {

    /**
     * 版本
     */
    String version;

    /**
     * The Books.
     */
    Map<String, Book> books = new TreeMap<>();

    /**
     * 附录
     */
    List<Appendix> appendices = new LinkedList<>();
    /**
     * 统一结果
     */
    ClassOrInterfaceDeclaration resultDataClassOrInterfaceDeclaration;

    /**
     * Add chapter.
     *
     * @param chapter the chapter
     */
    public void addChapter(Chapter chapter) {
        if (Objects.isNull(chapter.getBookName())) {
            chapter.setBookName(Book.DEFAULT);
        }
        if (!books.containsKey(chapter.getBookName())) {
            books.put(chapter.getBookName(), new Book(chapter.getBookName()));
        }
        books.get(chapter.getBookName()).getChapters().add(chapter);
    }
}
