package com.github.fengyuchenglun.apidoc.core.schema;

import lombok.*;

/**
 * The type Row.
 *
 * @author fengyuchenglun
 * @version 1.0.0
 */
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
@Data
public class Row {

    /**
     * The Key.
     */
    String key;
    /**
     * The Type.
     */
    String type;
    /**
     * 是否必填.
     */
    Boolean required;
    /**
     * The Condition.
     */
    String condition;
    /**
     * 默认值.
     */
    String def;
    /**
     * 说明.
     */
    String remark;

    /**
     * 请求参数类型
     */
    String parameterType;


    /**
     * Instantiates a new Row.
     *
     * @param type the type
     */
    public Row(String type) {
        this.type = type;
    }

}
